Public Class Form1
    Private m_StopTime As Date

    Private Sub btnGo_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnGo.Click
        Dim duration As TimeSpan = TimeSpan.Parse(txtTime.Text)
        m_StopTime = Now.Add(duration)

        tmrWait.Enabled = True
    End Sub

    Private Sub tmrWait_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles tmrWait.Tick
        Dim remaining As TimeSpan = m_StopTime.Subtract(Now)
        remaining = New TimeSpan(remaining.Hours, remaining.Minutes, remaining.Seconds)
        If remaining.TotalSeconds < 0 Then remaining = TimeSpan.Zero

        lblRemaining.Text = remaining.ToString

        If remaining.TotalSeconds <= 0 Then
            Me.WindowState = FormWindowState.Maximized
            Me.TopMost = True
            tmrWait.Enabled = False
        End If
    End Sub
End Class
